summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2020-06-29 11:38:31 +0100
committerV3n3RiX <venerix@redcorelinux.org>2020-06-29 11:38:31 +0100
commit90c88731bd036e5698b281fbc0a5f3aa4c9983ac (patch)
tree83fc5facb6b12be510a37bc3d241cc63e965b13a /eclass
parentfeb0daf81d888e9160f9f94502de09b66f2a63fd (diff)
gentoo resync : 29.06.2020
Diffstat (limited to 'eclass')
-rw-r--r--eclass/Manifest.gzbin35982 -> 35972 bytes
-rw-r--r--eclass/dune.eclass65
-rw-r--r--eclass/gnome-python-common-r1.eclass107
-rw-r--r--eclass/kernel-build.eclass33
-rw-r--r--eclass/kernel-install.eclass72
-rw-r--r--eclass/linux-info.eclass9
-rw-r--r--eclass/llvm.org.eclass48
-rw-r--r--eclass/netsurf.eclass3
-rw-r--r--eclass/qmail.eclass54
-rw-r--r--eclass/texlive-common.eclass2
-rw-r--r--eclass/texlive-module.eclass6
-rw-r--r--eclass/unpacker.eclass5
12 files changed, 237 insertions, 167 deletions
diff --git a/eclass/Manifest.gz b/eclass/Manifest.gz
index ddbdf39fb9be..b511174dc4b5 100644
--- a/eclass/Manifest.gz
+++ b/eclass/Manifest.gz
Binary files differ
diff --git a/eclass/dune.eclass b/eclass/dune.eclass
new file mode 100644
index 000000000000..9ab6ec204c21
--- /dev/null
+++ b/eclass/dune.eclass
@@ -0,0 +1,65 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# @ECLASS: dune.eclass
+# @MAINTAINER:
+# rkitover@gmail.com
+# @AUTHOR:
+# Rafael Kitover <rkitover@gmail.com>
+# @SUPPORTED_EAPIS: 5 6 7
+# @BLURB: Provides functions for installing dune packages.
+# @DESCRIPTION:
+# Provides dependencies on dune and ocaml and default src_compile, src_test and
+# src_install for dune-based packages.
+
+# @ECLASS-VARIABLE: DUNE_PKG_NAME
+# @DESCRIPTION:
+# Sets the actual dune package name, if different from gentoo package name.
+# Set before inheriting the eclass.
+
+case ${EAPI:-0} in
+ 5|6|7) ;;
+ *) die "${ECLASS}: EAPI ${EAPI} not supported" ;;
+esac
+
+EXPORT_FUNCTIONS src_compile src_test src_install
+
+RDEPEND=">=dev-lang/ocaml-4:=[ocamlopt?]"
+DEPEND="${RDEPEND}
+ dev-ml/dune"
+
+dune_src_compile() {
+ dune build @install || die
+}
+
+dune_src_test() {
+ dune runtest || die
+}
+
+# @FUNCTION: dune-install
+# @USAGE: <list of packages>
+# @DESCRIPTION:
+# Installs the dune packages given as arguments. For each "${pkg}" element in
+# that list, "${pkg}.install" must be readable from "${PWD}/_build/default"
+dune-install() {
+ local pkg
+ for pkg ; do
+ dune install \
+ --prefix="${ED%/}/usr" \
+ --libdir="${D%/}$(ocamlc -where)" \
+ "${pkg}" || die
+ done
+}
+
+dune_src_install() {
+ local pkg="${1:-${DUNE_PKG_NAME:-${PN}}}"
+
+ dune-install "${pkg}"
+
+ # Move docs to the appropriate place.
+ if [ -d "${ED%/}/usr/doc/${pkg}" ] ; then
+ mkdir -p "${ED%/}/usr/share/doc/${PF}/" || die
+ mv "${ED%/}/usr/doc/${pkg}/"* "${ED%/}/usr/share/doc/${PF}/" || die
+ rm -rf "${ED%/}/usr/doc" || die
+ fi
+}
diff --git a/eclass/gnome-python-common-r1.eclass b/eclass/gnome-python-common-r1.eclass
deleted file mode 100644
index f4a52bde8148..000000000000
--- a/eclass/gnome-python-common-r1.eclass
+++ /dev/null
@@ -1,107 +0,0 @@
-# Copyright 1999-2014 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-# @DEAD
-# @ECLASS: gnome-python-common-r1.eclass
-# @MAINTAINER:
-# GNOME team <gnome@gentoo.org>
-# @AUTHOR:
-# Author: Michał Górny <mgorny@gentoo.org>
-# Based on the work of: Arun raghaven <ford_prefect@gentoo.org>
-# which in turn was based on the work of Jim Ramsay <lack@gentoo.org>
-# @SUPPORTED_EAPIS: 5
-# @BLURB: Common functionality for building gnome-python* bindings
-# @DESCRIPTION:
-# This eclass provides python-r1 support for the GNOME2 library Python
-# bindings.
-
-: ${GNOME_ORG_MODULE:=gnome-python}
-: ${GNOME_TARBALL_SUFFIX:=bz2}
-: ${GNOME2_LA_PUNT:=yes}
-: ${GCONF_DEBUG:=no}
-
-# @ECLASS-VARIABLE: G_PY_BINDINGS
-# @DESCRIPTION:
-# The actual '--enable-<binding>' name. If multiple bindings are to
-# be enabled, must be an array.
-: ${G_PY_BINDINGS:=${PN%-python}}
-
-# @ECLASS-VARIABLE: EXAMPLES
-# @DEFAULT_UNSET
-# @DESCRIPTION:
-# The set of example files to be installed if the 'examples' USE flag
-# is set.
-
-case "${EAPI:-0}" in
- 0|1|2|3|4)
- die "Unsupported EAPI=${EAPI:-0} (too old) for ${ECLASS}"
- ;;
- 5)
- ;;
- *)
- die "Unsupported EAPI=${EAPI} (unknown) for ${ECLASS}"
- ;;
-esac
-
-inherit eutils gnome2 python-r1
-
-EXPORT_FUNCTIONS src_prepare src_configure src_compile src_test src_install
-
-HOMEPAGE="http://pygtk.org/"
-
-RESTRICT="${RESTRICT} test"
-
-DOCS="AUTHORS ChangeLog NEWS README"
-
-if [[ ${GNOME_ORG_MODULE} != "gnome-python" ]]; then
- DOCS="${DOCS} MAINTAINERS"
-fi
-
-RDEPEND="~dev-python/${GNOME_ORG_MODULE}-base-${PV}[${PYTHON_USEDEP}]
- ${PYTHON_DEPS}"
-DEPEND="${RDEPEND}
- virtual/pkgconfig"
-
-REQUIRED_USE="${PYTHON_REQUIRED_USE}"
-
-gnome-python-common-r1_src_prepare() {
- gnome2_src_prepare
-
- # The .pc file is installed by respective gnome-python*-base package
- sed -i '/^pkgconfig_DATA/d' Makefile.in || die "sed failed"
- sed -i '/^pkgconfigdir/d' Makefile.in || die "sed failed"
-#
-# python_copy_sources
-}
-
-gnome-python-common-r1_src_configure() {
- local myconf=(
- --disable-allbindings
- "${G_PY_BINDINGS[@]/#/--enable-}"
- )
-
- ECONF_SOURCE=${S} \
- python_foreach_impl \
- gnome2_src_configure "${myconf[@]}" "${@}"
-}
-
-gnome-python-common-r1_src_compile() {
- python_foreach_impl default
-}
-
-gnome-python-common-r1_src_test() {
- python_foreach_impl default
-}
-
-# Do a regular gnome2 src_install and then install examples if required.
-# Set the variable EXAMPLES to provide the set of examples to be installed.
-# (to install a directory recursively, specify it with a trailing '/' - for
-# example, foo/bar/)
-gnome-python-common-r1_src_install() {
- python_foreach_impl gnome2_src_install
-
- if in_iuse examples && use examples; then
- docinto examples
- dodoc -r "${EXAMPLES[@]}"
- fi
-}
diff --git a/eclass/kernel-build.eclass b/eclass/kernel-build.eclass
index 7239737810f1..9f7a8e3296f0 100644
--- a/eclass/kernel-build.eclass
+++ b/eclass/kernel-build.eclass
@@ -36,7 +36,9 @@ inherit savedconfig toolchain-funcs kernel-install
BDEPEND="
sys-devel/bc
- virtual/libelf"
+ sys-devel/flex
+ virtual/libelf
+ virtual/yacc"
# @FUNCTION: kernel-build_src_configure
# @DESCRIPTION:
@@ -77,6 +79,11 @@ kernel-build_src_configure() {
restore_config .config
[[ -f .config ]] || die "Ebuild error: please copy default config into .config"
+ if [[ -z "${KV_LOCALVERSION}" ]]; then
+ KV_LOCALVERSION=$(sed -n -e 's#^CONFIG_LOCALVERSION="\(.*\)"$#\1#p' \
+ .config)
+ fi
+
mkdir -p "${WORKDIR}"/modprep || die
mv .config "${WORKDIR}"/modprep/ || die
emake O="${WORKDIR}"/modprep "${MAKEARGS[@]}" olddefconfig
@@ -108,9 +115,10 @@ kernel-build_src_test() {
emake O="${WORKDIR}"/build "${MAKEARGS[@]}" \
INSTALL_MOD_PATH="${T}" INSTALL_PATH="${ED}/boot" "${targets[@]}"
- kernel-install_test "${PV}" \
+ local ver="${PV}${KV_LOCALVERSION}"
+ kernel-install_test "${ver}" \
"${WORKDIR}/build/$(kernel-install_get_image_path)" \
- "${T}/lib/modules/${PV}"
+ "${T}/lib/modules/${ver}"
}
# @FUNCTION: kernel-build_src_install
@@ -134,16 +142,17 @@ kernel-build_src_install() {
# note: we're using mv rather than doins to save space and time
# install main and arch-specific headers first, and scripts
local kern_arch=$(tc-arch-kernel)
- dodir "/usr/src/linux-${PV}/arch/${kern_arch}"
- mv include scripts "${ED}/usr/src/linux-${PV}/" || die
+ local ver="${PV}${KV_LOCALVERSION}"
+ dodir "/usr/src/linux-${ver}/arch/${kern_arch}"
+ mv include scripts "${ED}/usr/src/linux-${ver}/" || die
mv "arch/${kern_arch}/include" \
- "${ED}/usr/src/linux-${PV}/arch/${kern_arch}/" || die
+ "${ED}/usr/src/linux-${ver}/arch/${kern_arch}/" || die
# remove everything but Makefile* and Kconfig*
find -type f '!' '(' -name 'Makefile*' -o -name 'Kconfig*' ')' \
-delete || die
find -type l -delete || die
- cp -p -R * "${ED}/usr/src/linux-${PV}/" || die
+ cp -p -R * "${ED}/usr/src/linux-${ver}/" || die
cd "${WORKDIR}" || die
# strip out-of-source build stuffs from modprep
@@ -154,20 +163,20 @@ kernel-build_src_install() {
'(' -name '.*' -a -not -name '.config' ')' \
')' -delete || die
rm modprep/source || die
- cp -p -R modprep/. "${ED}/usr/src/linux-${PV}"/ || die
+ cp -p -R modprep/. "${ED}/usr/src/linux-${ver}"/ || die
# install the kernel and files needed for module builds
- insinto "/usr/src/linux-${PV}"
+ insinto "/usr/src/linux-${ver}"
doins build/{System.map,Module.symvers}
local image_path=$(kernel-install_get_image_path)
- cp -p "build/${image_path}" "${ED}/usr/src/linux-${PV}/${image_path}" || die
+ cp -p "build/${image_path}" "${ED}/usr/src/linux-${ver}/${image_path}" || die
# strip empty directories
find "${D}" -type d -empty -exec rmdir {} + || die
# fix source tree and build dir symlinks
- dosym ../../../usr/src/linux-${PV} /lib/modules/${PV}/build
- dosym ../../../usr/src/linux-${PV} /lib/modules/${PV}/source
+ dosym ../../../usr/src/linux-${ver} /lib/modules/${ver}/build
+ dosym ../../../usr/src/linux-${ver} /lib/modules/${ver}/source
save_config build/.config
}
diff --git a/eclass/kernel-install.eclass b/eclass/kernel-install.eclass
index efccd70608c0..ab886d28faf0 100644
--- a/eclass/kernel-install.eclass
+++ b/eclass/kernel-install.eclass
@@ -20,6 +20,13 @@
# Additionally, the inherited mount-boot eclass exports pkg_pretend.
# It also stubs out pkg_preinst and pkg_prerm defined by mount-boot.
+# @ECLASS-VARIABLE: KV_LOCALVERSION
+# @DEFAULT_UNSET
+# @DESCRIPTION:
+# A string containing the kernel LOCALVERSION, e.g. '-gentoo'.
+# Needs to be set only when installing binary kernels,
+# kernel-build.eclass obtains it from kernel config.
+
if [[ ! ${_KERNEL_INSTALL_ECLASS} ]]; then
case "${EAPI:-0}" in
@@ -260,6 +267,29 @@ kernel-install_test() {
EOF
}
+# @FUNCTION: kernel-install_pkg_pretend
+# @DESCRIPTION:
+# Check for missing optional dependencies and output warnings.
+kernel-install_pkg_pretend() {
+ debug-print-function ${FUNCNAME} "${@}"
+
+ if ! has_version -d sys-kernel/linux-firmware; then
+ ewarn "sys-kernel/linux-firmware not found installed on your system."
+ ewarn "This package provides various firmware files that may be needed"
+ ewarn "for your hardware to work. If in doubt, it is recommended"
+ ewarn "to pause or abort the build process and install it before"
+ ewarn "resuming."
+
+ if use initramfs; then
+ elog
+ elog "If you decide to install linux-firmware later, you can rebuild"
+ elog "the initramfs via issuing a command equivalent to:"
+ elog
+ elog " emerge --config ${CATEGORY}/${PN}"
+ fi
+ fi
+}
+
# @FUNCTION: kernel-install_src_test
# @DESCRIPTION:
# Boilerplate function to remind people to call the tests.
@@ -288,21 +318,22 @@ kernel-install_pkg_postinst() {
if [[ -z ${ROOT} ]]; then
mount-boot_pkg_preinst
+ local ver="${PV}${KV_LOCALVERSION}"
local image_path=$(kernel-install_get_image_path)
if use initramfs; then
# putting it alongside kernel image as 'initrd' makes
# kernel-install happier
kernel-install_build_initramfs \
- "${EROOT}/usr/src/linux-${PV}/${image_path%/*}/initrd" \
- "${PV}"
+ "${EROOT}/usr/src/linux-${ver}/${image_path%/*}/initrd" \
+ "${ver}"
fi
- kernel-install_install_kernel "${PV}" \
- "${EROOT}/usr/src/linux-${PV}/${image_path}" \
- "${EROOT}/usr/src/linux-${PV}/System.map"
+ kernel-install_install_kernel "${ver}" \
+ "${EROOT}/usr/src/linux-${ver}/${image_path}" \
+ "${EROOT}/usr/src/linux-${ver}/System.map"
fi
- kernel-install_update_symlink "${EROOT}/usr/src/linux" "${PV}"
+ kernel-install_update_symlink "${EROOT}/usr/src/linux" "${ver}"
}
# @FUNCTION: kernel-install_pkg_prerm
@@ -322,15 +353,40 @@ kernel-install_pkg_postrm() {
debug-print-function ${FUNCNAME} "${@}"
if [[ -z ${ROOT} ]] && use initramfs; then
+ local ver="${PV}${KV_LOCALVERSION}"
local image_path=$(kernel-install_get_image_path)
ebegin "Removing initramfs"
- rm -f "${EROOT}/usr/src/linux-${PV}/${image_path%/*}/initrd" &&
- find "${EROOT}/usr/src/linux-${PV}" -depth -type d -empty -delete
+ rm -f "${EROOT}/usr/src/linux-${ver}/${image_path%/*}/initrd" &&
+ find "${EROOT}/usr/src/linux-${ver}" -depth -type d -empty -delete
eend ${?}
fi
}
+# @FUNCTION: kernel-install_pkg_config
+# @DESCRIPTION:
+# Rebuild the initramfs and reinstall the kernel.
+kernel-install_pkg_config() {
+ [[ -z ${ROOT} ]] || die "ROOT!=/ not supported currently"
+
+ mount-boot_pkg_preinst
+
+ local ver="${PV}${KV_LOCALVERSION}"
+ local image_path=$(kernel-install_get_image_path)
+ if use initramfs; then
+ # putting it alongside kernel image as 'initrd' makes
+ # kernel-install happier
+ kernel-install_build_initramfs \
+ "${EROOT}/usr/src/linux-${ver}/${image_path%/*}/initrd" \
+ "${ver}"
+ fi
+
+ kernel-install_install_kernel "${ver}" \
+ "${EROOT}/usr/src/linux-${ver}/${image_path}" \
+ "${EROOT}/usr/src/linux-${ver}/System.map"
+}
+
_KERNEL_INSTALL_ECLASS=1
fi
EXPORT_FUNCTIONS src_test pkg_preinst pkg_postinst pkg_prerm pkg_postrm
+EXPORT_FUNCTIONS pkg_config pkg_pretend
diff --git a/eclass/linux-info.eclass b/eclass/linux-info.eclass
index 405ef5571e1c..11a890889e4f 100644
--- a/eclass/linux-info.eclass
+++ b/eclass/linux-info.eclass
@@ -1,4 +1,4 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
# @ECLASS: linux-info.eclass
@@ -166,7 +166,7 @@ qeerror() { qout eerror "${@}" ; }
# done by including the configfile, and printing the variable with Make.
# It WILL break if your makefile has missing dependencies!
getfilevar() {
- local ERROR basefname basedname myARCH="${ARCH}" M="${S}"
+ local ERROR basefname basedname myARCH="${ARCH}"
ERROR=0
[ -z "${1}" ] && ERROR=1
@@ -184,11 +184,8 @@ getfilevar() {
# We use nonfatal because we want the caller to take care of things #373151
[[ ${EAPI:-0} == [0123] ]] && nonfatal() { "$@"; }
- case ${EBUILD_PHASE_FUNC} in
- pkg_info|pkg_nofetch|pkg_pretend) M="${T}" ;;
- esac
echo -e "e:\\n\\t@echo \$(${1})\\ninclude ${basefname}" | \
- nonfatal emake -C "${basedname}" M="${M}" ${BUILD_FIXES} -s -f - 2>/dev/null
+ nonfatal emake -C "${basedname}" M="${T}" ${BUILD_FIXES} -s -f - 2>/dev/null
ARCH=${myARCH}
fi
diff --git a/eclass/llvm.org.eclass b/eclass/llvm.org.eclass
index b4b80df06d85..36c4f52650fd 100644
--- a/eclass/llvm.org.eclass
+++ b/eclass/llvm.org.eclass
@@ -63,6 +63,8 @@ fi
[[ ${PV} == ${_LLVM_MASTER_MAJOR}.* && ${_LLVM_SOURCE_TYPE} == tar ]] &&
die "${ECLASS}: Release ebuild for master branch?!"
+inherit multiprocessing
+
# == control variables ==
@@ -167,6 +169,11 @@ llvm.org_set_globals() {
fi
fi
+ # === useful defaults for cmake-based packages ===
+
+ # least intrusive of all
+ CMAKE_BUILD_TYPE=RelWithDebInfo
+
_LLVM_ORG_SET_GLOBALS_CALLED=1
}
@@ -174,6 +181,9 @@ llvm.org_set_globals() {
# == phase functions ==
EXPORT_FUNCTIONS src_unpack
+if ver_test -ge 10.0.1_rc; then
+ EXPORT_FUNCTIONS src_prepare
+fi
# @FUNCTION: llvm.org_src_unpack
# @DESCRIPTION:
@@ -217,3 +227,41 @@ llvm.org_src_unpack() {
fi
fi
}
+
+# @FUNCTION: llvm.org_src_prepare
+# @DESCRIPTION:
+# Call appropriate src_prepare (cmake or default) depending on inherited
+# eclasses. Make sure that PATCHES and user patches are applied in top
+# ${WORKDIR}, so that patches straight from llvm-project repository
+# work correctly with -p1.
+llvm.org_src_prepare() {
+ if declare -f cmake_src_prepare >/dev/null; then
+ # cmake eclasses force ${S} for default_src_prepare
+ # but use ${CMAKE_USE_DIR} for everything else
+ CMAKE_USE_DIR=${S} \
+ S=${WORKDIR} \
+ cmake_src_prepare
+ else
+ pushd "${WORKDIR}" >/dev/null || die
+ default_src_prepare
+ popd >/dev/null || die
+ fi
+}
+
+
+# == helper functions ==
+
+# @ECLASS-VARIABLE: LIT_JOBS
+# @USER_VARIABLE
+# @DEFAULT_UNSET
+# @DESCRIPTION:
+# Number of test jobs to run simultaneously. If unset, defaults
+# to '-j' in MAKEOPTS. If that is not found, default to nproc.
+
+# @FUNCTION: get_lit_flags
+# @DESCRIPTION:
+# Get the standard recommended lit flags for running tests, in CMake
+# list form (;-separated).
+get_lit_flags() {
+ echo "-vv;-j;${LIT_JOBS:-$(makeopts_jobs "${MAKEOPTS}" "$(get_nproc)")}"
+}
diff --git a/eclass/netsurf.eclass b/eclass/netsurf.eclass
index d2da56ba39d7..3d371811752b 100644
--- a/eclass/netsurf.eclass
+++ b/eclass/netsurf.eclass
@@ -1,6 +1,7 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
+# @DEAD
# @ECLASS: netsurf.eclass
# @MAINTAINER:
# maintainer-needed@gentoo.org
diff --git a/eclass/qmail.eclass b/eclass/qmail.eclass
index a78c118c89ed..21f317fd34a2 100644
--- a/eclass/qmail.eclass
+++ b/eclass/qmail.eclass
@@ -117,8 +117,7 @@ qmail_spp_src_unpack() {
# @FUNCTION: qmail_src_postunpack
# @DESCRIPTION:
-# Unpack common config files, apply custom patches if supplied and
-# set built configuration (CFLAGS, LDFLAGS, etc)
+# Unpack common config files, and set built configuration (CFLAGS, LDFLAGS, etc)
qmail_src_postunpack() {
cd "${S}"
@@ -144,33 +143,27 @@ qmail_base_install() {
einfo "Setting up basic directory hierarchy"
diropts -o root -g qmail -m 755
keepdir "${QMAIL_HOME}"/{,bin,control}
-
- einfo "Installing basic qmail software"
- insinto "${QMAIL_HOME}"/bin
-
- insopts -o root -g qmail -m 755
- doins datemail elq forward maildir2mbox maildirmake \
- maildirwatch mailsubj pinq predate qail \
- qmail-{inject,qmqpc,showctl} sendmail
-
- einfo "Adding env.d entry for qmail"
- doenvd "${GENQMAIL_S}"/conf/99qmail
-
- declare -F qmail_base_install_hook >/dev/null && \
- qmail_base_install_hook
-}
-
-qmail_full_install() {
- einfo "Setting up full directory hierarchy"
keepdir "${QMAIL_HOME}"/users
diropts -o alias -g qmail -m 755
keepdir "${QMAIL_HOME}"/alias
+ einfo "Adding env.d entry for qmail"
+ doenvd "${GENQMAIL_S}"/conf/99qmail
+
einfo "Installing all qmail software"
+ insinto "${QMAIL_HOME}"/bin
+
insopts -o root -g qmail -m 755
- doins bouncesaying condredirect config-fast except preline qbiff \
- qmail-{qmqpd,qmtpd,qread,qstat,smtpd,tcpok,tcpto} \
- qreceipt qsmhook tcp-env
+ doins bouncesaying condredirect config-fast datemail except forward maildir2mbox \
+ maildirmake mailsubj predate preline qbiff \
+ qmail-{inject,qmqpc,qmqpd,qmtpd,qread,qstat,smtpd,tcpok,tcpto,showctl} \
+ qreceipt sendmail tcp-env
+
+ # obsolete tools, install if they are still present
+ for i in elq maildirwatch pinq qail qsmhook; do
+ [[ -x ${i} ]] && doins ${i}
+ done
+
use pop3 && doins qmail-pop3d
insopts -o root -g qmail -m 711
@@ -183,8 +176,8 @@ qmail_full_install() {
insopts -o qmailq -g qmail -m 4711
doins qmail-queue
- declare -F qmail_full_install_hook >/dev/null && \
- qmail_full_install_hook
+ declare -F qmail_base_install_hook >/dev/null && \
+ qmail_base_install_hook
}
qmail_config_install() {
@@ -207,8 +200,14 @@ qmail_man_install() {
into /usr
doman *.[1578]
- dodoc BLURB* CHANGES FAQ INSTALL* PIC* README* REMOVE* SECURITY \
- SENDMAIL* TEST* THANKS* THOUGHTS UPGRADE VERSION*
+ dodoc BLURB* INSTALL* PIC* README* REMOVE* \
+ SENDMAIL* TEST* THANKS* VERSION*
+ # notqmail converted the files to markdown
+ if [ -f CHANGES ]; then
+ dodoc CHANGES FAQ SECURITY THOUGHTS UPGRADE
+ else
+ dodoc CHANGES.md FAQ.md SECURITY.md THOUGHTS.md UPGRADE.md
+ fi
declare -F qmail_man_install_hook >/dev/null && \
qmail_man_install_hook
@@ -334,7 +333,6 @@ qmail_ssl_install() {
qmail_src_install() {
export GROUP_ROOT="$(id -gn root)"
qmail_base_install
- qmail_full_install
qmail_config_install
qmail_man_install
qmail_sendmail_install
diff --git a/eclass/texlive-common.eclass b/eclass/texlive-common.eclass
index 2072d3ad1605..67e06adf0909 100644
--- a/eclass/texlive-common.eclass
+++ b/eclass/texlive-common.eclass
@@ -39,7 +39,7 @@ texlive-common_handle_config_files() {
[[ -d ${ED}${TEXMF_PATH} ]] || return
cd "${ED}${TEXMF_PATH}" || die
- while read -r -d '' i; do
+ while read -r f; do
if [[ ${f#*config} != ${f} || ${f#doc} != ${f} || ${f#source} != ${f} || ${f#tex} != ${f} ]] ; then
continue
fi
diff --git a/eclass/texlive-module.eclass b/eclass/texlive-module.eclass
index 75ef570cdd8c..15988fb4b54d 100644
--- a/eclass/texlive-module.eclass
+++ b/eclass/texlive-module.eclass
@@ -383,9 +383,11 @@ texlive-module_src_install() {
cp -pR tlpkg "${ED}/usr/share/" || die
fi
- insinto /var/lib/texmf
- [[ -d texmf-var ]] && doins -r texmf-var/.
+ if [[ -d texmf-var ]]; then
+ insinto /var/lib/texmf
+ doins -r texmf-var/.
+ fi
insinto /etc/texmf/updmap.d
[[ -f ${S}/${PN}.cfg ]] && doins "${S}/${PN}.cfg"
diff --git a/eclass/unpacker.eclass b/eclass/unpacker.eclass
index 865e2e1a1a58..63aedee4480e 100644
--- a/eclass/unpacker.eclass
+++ b/eclass/unpacker.eclass
@@ -17,6 +17,8 @@
if [[ -z ${_UNPACKER_ECLASS} ]]; then
_UNPACKER_ECLASS=1
+inherit toolchain-funcs
+
# @ECLASS-VARIABLE: UNPACKER_BZ2
# @DEFAULT_UNSET
# @DESCRIPTION:
@@ -279,8 +281,7 @@ unpack_deb() {
done
} < "${deb}"
else
- local AR=${AR-ar}
- ${AR} x "${deb}" || die
+ $(tc-getBUILD_AR) x "${deb}" || die
fi
unpacker ./data.tar*